From 5ebbcc0bafb7c98f1a20469c7862411317f21d88 Mon Sep 17 00:00:00 2001
From: Ponsanthini <ponsanthini.arunachalam@multicorewareinc.com>
Date: Mon, 18 Nov 2024 20:12:01 +0530
Subject: [PATCH] Added alpha,scc and mv-hevc test files

---
 source/test/alpha.txt     | 4 ++++
 source/test/multiview.txt | 4 ++++
 source/test/scc.txt       | 4 ++++
 3 files changed, 12 insertions(+)
 create mode 100644 source/test/alpha.txt
 create mode 100644 source/test/multiview.txt
 create mode 100644 source/test/scc.txt

diff --git a/source/test/alpha.txt b/source/test/alpha.txt
new file mode 100644
index 000000000..2b7cfde1f
--- /dev/null
+++ b/source/test/alpha.txt
@@ -0,0 +1,4 @@
+#Alpha tests
+opflame_3840x2160_25.yuv, --alpha  --preset ultrafast --crf 22 --temporal-layers 4
+opflame_3840x2160_25.yuv, --alpha  --preset medium --bitrate 3000 --me sea
+opflame_3840x2160_25.yuv, --alpha  --preset slower --vbv-maxrate 9000 --vbv-bufsize 7500
\ No newline at end of file
diff --git a/source/test/multiview.txt b/source/test/multiview.txt
new file mode 100644
index 000000000..208d4549f
--- /dev/null
+++ b/source/test/multiview.txt
@@ -0,0 +1,4 @@
+#Multiview tests
+mv-config-file-f0.txt, --input-res 960x1080 --fps 25 --preset superfast --crf 22
+mv-config-file-f1.txt, --preset medium --crf 22  --slices 2 --no-cutree --vbv-maxrate 9000 --vbv-bufsize 7500 --me sea
+mv-config-file-f2.txt, --preset slow --bitrate 9000 --vbv-maxrate 9000 --vbv-bufsize 7500 --ctu 16 --ref 1
\ No newline at end of file
diff --git a/source/test/scc.txt b/source/test/scc.txt
new file mode 100644
index 000000000..9e7006b98
--- /dev/null
+++ b/source/test/scc.txt
@@ -0,0 +1,4 @@
+#Screen Content Coding tests
+SlideEditing_1280x720_30.yuv, --scc 1 --rd 6 --preset superfast --crf 22 --temporal-layers 4
+SlideShow_1280x720_20.yuv, --scc 1 --rd 6 --preset medium --ctu 16 --ref 1
+SlideEditing_1280x720_30.yuv, --scc 1 --rd 6 --preset slow --bitrate 9000 --vbv-maxrate 9000 --vbv-bufsize 7500
\ No newline at end of file
-- 
2.47.0.windows.2

